
#### Integrations

##### DomainTools Iris
- Updated the Docker image to: *demisto/vendors-sdk:1.0.0.84790*.

- Updated domaintoolsiris-pivot command to pull in up to 5000 domains (previously 500). added average age and risk score across a pivot.

- New: domaintoolsiris-enrich command enriches domain-related data from the Iris dataset, including domain risk scores, Whois, IP, active DNS, website, and SSL data.

- New: domaintools-whois-history command retrieves historical Whois records, sorted by date, and supports pagination for investigations.

- New: domaintools-hosting-history command provides a list of changes in domain registrar, IP address, and name servers, including before and after values.

- New: domaintools-reverse-whois command retrieves domain names sharing the same Registrant Information based on specified search terms.

- New: domaintools-whois command extracts and structures data from raw Whois records, optimizing data retrieval and organization.

- New: fetch-incidents command monitors new domains based on a given iris hash or tag and creates an indicators/incidents. 

#### Playbooks

##### New: DomainTools Associate Indicator to Incident

- New: This playbooks automatically associate additional indicators from the incident context. (Key: incident.additionalindicators)

##### New: DomainTools Auto Pivots

- New: This playbook retrieves the Iris Investigate profile of domain and automatically identifies potential connected infrastructure related to artifacts based on DomainTools Guided Pivot value. 

##### New: DomainTools Check Domain Risk Score By Iris Tags

- New: This playbook will alert a user if a monitored set of domains, labeled by Iris Investigate tags, becomes high risk. To use it, tag domains in the Iris Investigate UI. Enter a comma-separated list of tags to monitor to the playbook input "dt_monitored_iris_tags" and run this playbook on a scheduled basis. It will add any new high risk domains (based on the threshold defined in this playbook) as indicators on the associated incident.

##### New: DomainTools Check New Domains by Iris Hash

- New: This playbook helps monitor for new domains matching given infrastructure parameters (registrar, DNS, SSL certs, etc.). Start with a search in the Iris Investigate UI. Add an advanced search filter for "First Seen", "Within", "the last day" (for example) to your search. Run the search, then click "Import/Export Search" to view the Search Hash. Copy that into this playbook trigger. Every time this playbook runs, it will pull the new indicators matching the search and add them to the current incident

#### Scripts

##### New: AddDomainRiskScoreToContext

- New: Sets average risk score to context for pivot result.

##### New: AssociateIndicatorsToIncident

- New: Associate Indicators to an Incident

##### New: CheckLastEnrichment

- New: Check if DomainTools Data is in Need of Enrichment.

##### New: CheckPivotableDomains

- New: Checks for guided pivots for a given domain.

##### New: CheckTags

- New: Check DomainTools domain tags and if a tag is found mark incident as high severity.

##### New: DomainExtractAndEnrich

- New: Resolves a URL or fully qualified domain name (FQDN) and looks up a complete profile of the domain on the DomainTools Iris Enrich API.

##### New: DomainExtractAndInvestigate

- New: Resolves a URL or fully qualified domain name (FQDN) and looks up a complete profile of the domain on the DomainTools Iris Investigate API.

##### New: SetIndicatorTableData

- New: Sets Data for a Domain in the Indicator Table.

#### Indicator Fields

- New: **DomainTools Iris Additional Whois Emails**

- New: **DomainTools Iris Domain Age**

- New: **DomainTools Iris First Seen**

- New: **DomainTools Iris Risk Score**

- New: **DomainTools Iris Risk Score Components**

- New: **DomainTools Iris Tags**

- New: **DomainTools Iris Email Domains**

- New: **DomainTools Iris IP Addresses**

- New: **DomainTools Iris IP Country Code**

- New: **DomainTools Iris Mail Servers**

- New: **DomainTools Iris Registrant Org**

- New: **DomainTools Iris SOA Email**

- New: **DomainTools Iris Expiration Date**

#### Layouts

##### New: DomainTools Iris Incident Layout

- New: DomainTools Iris Incident Layout

##### New: DomainTools Iris Indicator Layout

- New: DomainTools Iris Indicator Layout

#### Indicator Types

- New: **DomainTools Iris**


#### Incident Types

- New: **DomainTools Iris Monitor Domains - Iris Search Hash**

- New: **DomainTools Iris Monitor Domains - Iris Tags**


#### Mappers

##### New: DomainTools Iris - Mapper

- New: DomainTools Iris - Mapper


#### Classifiers

##### New: DomainTools Iris - Classifier

- New: DomainTools Iris - Classifier

